OpenTTD Source: CYapfRailNodeT< Tkey_ > Struct Template Reference

OpenTTD Source 1.11.0-RC1

Public Types | Public Member Functions | Data Fields
CYapfRailNodeT< Tkey_ > Struct Template Reference

Yapf Node for rail YAPF. More...

`#include <yapf_node_rail.hpp>`

Inheritance diagram for CYapfRailNodeT< Tkey_ >:

## Public Types
typedef CYapfNodeT< Tkey_, CYapfRailNodeT< Tkey_ > > | base
typedef CYapfRailSegment | CachedData
Public Types inherited from CYapfNodeT< Tkey_, CYapfRailNodeT< Tkey_ > >
typedef Tkey_ | Key
typedef CYapfRailNodeT< Tkey_ > | Node

## Public Member Functions
void | Set (CYapfRailNodeT *parent, TileIndex tile, Trackdir td, bool is_choice)
TileIndex | GetLastTile () const
Trackdir | GetLastTrackdir () const
void | SetLastTileTrackdir (TileIndex tile, Trackdir td)
template<class Tbase , class Tfunc , class Tpf >
bool | IterateTiles (const Train *v, Tpf &yapf, Tbase &obj, bool(Tfunc::*func)(TileIndex, Trackdir)) const
void | Dump (DumpTarget &dmp) const
Public Member Functions inherited from CYapfNodeT< Tkey_, CYapfRailNodeT< Tkey_ > >
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const Tkey_ & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | GetIsChoice () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields
CYapfRailSegment * | m_segment
uint16 | m_num_signals_passed
union {
uint32 m_inherited_flags
struct {
bool m_targed_seen: 1
bool m_choice_seen: 1
bool m_last_signal_was_red: 1
} flags_s
} | flags_u
SignalType | m_last_red_signal_type
SignalType | m_last_signal_type
Data Fields inherited from CYapfNodeT< Tkey_, CYapfRailNodeT< Tkey_ > >
Tkey_ | m_key
Node * | m_hash_next
Node * | m_parent
int | m_cost
int | m_estimate
bool | m_is_choice

## Detailed Description

### template<class Tkey_>
struct CYapfRailNodeT< Tkey_ >

Yapf Node for rail YAPF.

Definition at line 121 of file yapf_node_rail.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_rail.hpp